The upgrade of Management Host running VOM 3.1 to VOM 4.0 RU1 on Solaris 8 via "VOM GUI's Settings> Deployment Management", fails with "ERROR: "checkinstall: cannot open ... upgrade_mh: op_error :".

Problem

The upgrade of Management Host running VOM 3.1 to VOM 4.0 RU1 on Solaris 8 via " VOM GUI's Settings>  Deployment Management", fails with "ERROR: "checkinstall: cannot open ... upgrade_mh: op_error :".

Error Message

Thu Jan 26 10:49:29 2012 [debug] upgrade_mh:    *op_error*  :
Veritas Operations Manager Managed Host by Symantec
(sparc) 4.0.1598.0

 ## Executing checkinstall script.
*pkgadd: ERROR: checkinstall script did not complete successfully*
*Installation of<VRTSsfmh>   failed*.

No changes were made to the system.

 

Solution

Please ensure that /var/tmp and /tmp have 1777 permissions and proper (root:sys) ownership.

Please apply the following work-around on the target system, running Solaris 8.

1. Please copy the VRTSsfmh.pkg from VOM 4.1 distribution software to say, /var/tmp.

 2. Please create a file /var/tmp/VRTSsfmhadmin with the following content:

mail=
instance=overwrite
partial=nocheck
runlevel=quit
idepend=quit
rdepend=quit
space=quit
setuid=nocheck
conflict=nocheck
action=nocheck
basedir=default

 3. Please execute the following command:

       #cd /var/tmp

       # pkgadd -a VRTSsfmhadmin -d VRTSsfmh.pkg

 

 4. Please check the VOM's GUI for this host.

Please feel free to contact Symantec Technical Support for further assistance.

 


Terms of use for this information are found in Legal Notices.

Search

Survey

Did this article answer your question or resolve your issue?

No
Yes

Did this article save you the trouble of contacting technical support?

No
Yes

How can we make this article more helpful?

Email Address (Optional)